/**
 * UART Printf Example Driver File
 * 
 <#if isTestMode == true>
 * @file uc1.c
 * 
 * @addtogroup uart-printf-example UART Printf
 <#else>
 * @file uart_example.c
 * 
 * @addtogroup uart-example
  </#if>
 * 
 * @brief This is the generated example implementation for the UART Printf With Variable counter
 *
 * @version UART Printf Example Version 1.0.0
*/
${disclaimer}

<#if isTestMode == false>
/* Use Case 1 implementation. Copy this code to your project source, e.g., to main.c  */
/* ------------------------------------------------------------------
</#if>
<#if isTestMode == true>
#include "../../system/system.h"
#include "uc1.h"
<#else>
#include "mcc_generated_files/system/system.h"
</#if>
#include <string.h>

void UART_PrintLoop(int count);

void UART_PrintLoop(int count)
{
    int i;
    for(i = 0; i < count; i++)
    {
        (void) printf("%d. Hello World!\n\r",(i+1));
    }
}

<#if isTestMode == true>
void UART_Example1(void)
<#else>
void main(void)
</#if>
{
    SYSTEM_Initialize();
    (void) UART_PrintLoop(5); 

    while(1)
    {
        ;
    }    
}
<#if isTestMode == false>
------------------------------------------------------------------ */
</#if>
/**
 End of File
*/